【Node.js】npm runに失敗する:Error: error:0308010C:digital envelope routines::unsupported

Node.jsをバージョン指定でインストール

Node.jsのスクリプトをビルドしようとしたら下記エラーが出るようになった。

Error: error:0308010C:digital envelope routines::unsupported

どうやら現行のNodeバージョンじゃサポートされていないみたい。

そういや前にアップデートかけた気がしてきたので、ひとまず本番環境のNodeバージョンに合わせるためにダウングレードすることにする。

nvmでダウングレード

なんか開発環境にnvmが入っていたので、以下のコマンドだけでダウングレードできた。

# nvm install 16

投稿者: Output48

中学生の時に初めてHTMLに触れてからホームページ制作を独学で始める。 ベンチャー企業の営業、大手企業のPG・SEを経て、独立。 現在はとある企業のCTOと、変な名前の会社の社長をしてる。

コメントを残す

メールアドレスが公開されることはありません。

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください